ECSHOP在PHP5.5及高版本上报错的解决方法_php实例

Ecshop却没来得及修改,如果在高版本的php虚拟主机上安装ecshop程序,出现兼容性问题。

小编在本地环境php5.5上安装出现以下两种报错提示

Only variables should be passed by reference php
Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead…?

通过在网络上查找,小编发现并不是只能在低版本的php中安装,也是找到了解决办法,方便大家在php5.5版本上调试程序。小编就在这里把解决方法分享给大家:

先说明第一个问题的解决方法:

php 5.3以上版本的问题,和配置有关 只要418行把这一句拆成两句就没有问题了。

将下列:

$tag_sel = array_shift(explode(' ', $tag));

修改为:

$tag_arr = explode(' ', $tag); $tag_sel = array_shift($tag_arr);

因为array_shift的参数是引用传递的,5.3以上默认只能传递具体的变量,而不能通过函数返回值

第二个报错解决办法:

找到文件:include/cls_template.php

将以下代码:

return preg_replace("/{([^\}\{\n]*)}/e", "\$this->select('\\1');", $source);

修改成:

return preg_replace_callback("/{([^\}\{\n]*)}/", function($r) { return $this->select($r[1]); }, $source);

小编目前只遇到这样两个报错,如果在程序调试和开发过程中遇到其他的问题,如果能够解决,小编也是会整理出解决方法的。

ecshop 在高版本PHP下报错的解决方法

1 .ecshop提示Strict Standards: Non-static method cls_image

::gd_version() should not be called statically inE:/wwwroot/weirenchou/includes/lib_base.php on line 346

找到346行吧

return cls_image::gd_version()

替换成:

$p = new cls_image();return $p->gd_version();

2 .ecshop的时候出现如下错误:

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /ecshop/includes/cls_template.php on line 300

打开ecshop的目录找到includes/cls_template.php 到第300行

return preg_replace("/{([^/}/{/n]*)}/e", "/$this->select('//1');", $source);

替换成

return preg_replace_callback("/{([^/}/{/n]*)}/", function($r) { return $this->select($r[1]); }, $source);

3. Strict Standards: Only variables should be passed by reference in E:/web/shopex/includes/cls_template.php on line 422

$tag_sel = array_shift(explode(' ', $tag));

改成:

$tag_arr = explode(' ', $tag); $tag_sel = array_shift($tag_arr);

4 .会员整合出现

phpbb::set_cookie() should be compatible with integrate

/includes/modules/integrates/phpbb.php on line 232

110行

function set_cookie ($username="")

修改成

function set_cookie ($username="", $remember = NULL)

includes/modules/integrates/phpwind6.php

ucenter.php  vbb.php也是这样修改

ucenter.php 210行修改成

 function add_user($username, $password, $email, $gender = -1, $bday = 0, $reg_date = 0, $md5password = '')

127行修改成

function login($username, $password, $remember = NULL)

5. 数据库备份出现

edefining already defined constructor for class cls_sql_dump

/admin/includes/cls_sql_dump.php on line 

 function __construct(&$db, $max_size =)

  {

    $this->cls_sql_dump($db, $max_size);

  }

移到function cls_sql_dump(&$db, $max_size=0)前面

Non-static method cls_sql_dump::get_random_name() admin/database.php on line 64

打开includes/cls_sql_dump.php

 479行

function get_random_name()

修改成

static function get_random_name()

以上是小编为您精心准备的的内容,在的博客、问答、公众号、人物、课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮进行搜索ecshop_php版本
, ecshop_php高版本
ecshop_php5.5
ecshop ajax.call实例、ecshop微信退款实例、ecshop最新版本、ecshop版本查看、ecshop php版本,以便于您获取更多的相关知识。

时间: 2022-12-16

ECSHOP在PHP5.5及高版本上报错的解决方法_php实例的相关文章

php5.2以下版本无json_decode函数的解决方法_php技巧

今天写代码的时候,需要用到json_decode函数,发现php5.2以前的版本没有集成这个函数,不过我们可以通过自定义函数实现. 复制代码 代码如下: function json_decode2($json){$comment = false;$out = '$x='; for ($i=0; $i<strlen($json); $i++){if (!$comment){if (($json[$i] == '{') || ($json[$i] == '[')) $out .= ' array('

PHP将页面中点击数量高的链接进行高亮显示的方法_php实例

背景和需求 就好比说页面导航的左侧是分类,分类下面有很多链接.我现在想统计所有分类下面点击次数最多的一个,并把其颜色做特殊处理! 大致的数据结构如下: { "content": [ { "id": "1", "name": "htmldrive", "url": "http://www.htmldrive.net/", "cate": "

VS2003出现ASP.NET版本不匹配,解决方法

vs2003出现asp教程.net版本不匹配,解决方法 安装了win7之后,今天使用旧项目,安装了vs2003,出现以下提示: asp.net教程版本不匹配 visual   studio.net检测到web服务器运行的是asp.net1.0版. 你要创建或打开的web应用程序可以配置成与asp.net兼容. 解决方法: 1.打开iis,点击根目录 2.右边,"isapi和cgi限制",双击 3.asp.net v1.1.4322,双击,勾选允许即可

php5.4以下版本json不支持不转义内容中文的解决方法_php技巧

本文实例讲述了php5.4以下版本json不支持不转义内容中文的解决方法.分享给大家供大家参考.具体分析如下: 写ERP接口的时候遇到JAVA方接收这种json_encode后的内容 复制代码 代码如下: {"orderCode":"1401160935542399","creator":"\u751f\u6d3b\u7528\u54c1\u6d4b\u8bd5\u5c0f\u5c4b"} 其中"creator&qu

php5.3提示Function ereg() is deprecated Error问题解决方法_php技巧

本文实例讲述了php5.3提示Function ereg() is deprecated Error问题解决方法.分享给大家供大家参考.具体实现方法如下: 一.问题: PHP 5.3 ereg() 无法正常使用,提示"Function ereg() is deprecated Error"是因为它长ereg 函数进行了升级处理,需要像preg_match使用/ /来规则了,当然也是php5.3把ereg给废掉的节奏了. PHP 5.3 ereg() 无法正常使用,提示"Fun

php5中date()得出的时间为什么不是当前时间的解决方法_php技巧

相关设置是修改php.ini中的 date.timezone 参数: [Date] ; Defines the default timezone used by the date functions ;date.timezone = 默认是关闭的,只需把注释去掉,改为即可 [Date] ; Defines the default timezone used by the date functions date.timezone = PRC 其中PRC是"中华人民共和国"! 其他选项可以

php5.3不能连接mssql数据库的解决方法_php技巧

本文实例讲述了php5.3不能连接mssql数据库的解决方法.分享给大家供大家参考.具体分析如下: 自从php5.3之后系统就不支持mssql_connect这个函数连接了,以前我也讲可以使用com接口来实现,现在我再介绍解决php5.3不能连接mssql数据库另一方法. windows系统下,PHP5.3以上的版本已经不支持mssql扩展. 首先http://msdn.microsoft.com/en-us/sqlserver/ff657782.aspx 点击 get it 下载SQLSRV2

CentOS下与Apache连接的PHP多版本共存方案实现详解_php实例

在apache下整合fastCGI模式运行的php-fpm,似乎网上很少相关材料,就连英文版材料也少.只要是php-fpm,基本上都是与nginx搭配.查了一大批相关资料,写本文总结一下. apache下有多个fastCGI的支持方案:至少有mod_fcgi.mod_fastcgi(git).mod_proxy_fcgi等.这两个模块都有点老,尤其mod_fastcgi自从2007年以来就没有更新,略掉不谈,事实上没用过用.mod_proxy_fcgi模块是httpd 2.4+的版本正式引入,通

Windows Apache2.2.11及Php5.2.9-1的安装与配置方法_php实例

因为pharmar用的是Mcafee的杀毒软件,要求所有程序均要安装于Program Files,所以这些文件均放于D:\Program Files下便于管理.Mcafee写防护规则时好运用. Apache的安装与配置 打开apache官方网站 http://archive.apache.org/dist/httpd/binaries/win32/ 或者镜像网站 http://apache.mirror.phpchina.com/httpd/binaries/win32/,下载里面的apache